## cascading.flow.local
Class LocalFlow

    java.lang.Object
      cascading.flow.BaseFlow<Properties>
          cascading.flow.local.LocalFlow

All Implemented Interfaces:
  Flow<Properties>, UnitOfWork<FlowStats>

    public class LocalFlow

extends BaseFlow<Properties>

Class LocalFlow is the local mode specific implementation of a `Flow`.

LocalFlow must be created through a `LocalFlowConnector` instance.

If classpath paths are provided on the `FlowDef`, the context classloader used to internally urn the current Flow will be swapped out with an URLClassLoader pointing to each element.

See Also:
  `LocalFlowConnector`

Nested Class Summary

Nested classes/interfaces inherited from class cascading.flow.BaseFlow
`BaseFlow.FlowHolder`

Field Summary

Fields inherited from class cascading.flow.BaseFlow
`flowStats, shutdownHook, sinks, sources, stop, stopJobsOnExit, thread`

Fields inherited from interface cascading.flow.Flow
`CASCADING_FLOW_ID`

Constructor Summary
`LocalFlow(PlatformInfo platformInfo, Map<Object,Object> properties, Properties config, FlowDef flowDef)`

Method Summary
`protected Thread` `createFlowThread(String threadName)`
`Properties` `getConfig()`
`Map<Object,Object>` `getConfigAsProperties()`
`Properties` `getConfigCopy()`
`FlowProcess<Properties>` `getFlowProcess()`
`protected int` `getMaxNumParallelSteps()`
`String` `getProperty(String key)`
`protected void` `initConfig(Map<Object,Object> properties, Properties parentConfig)`
`protected void` `internalClean(boolean stop)`
`protected void` `internalShutdown()`
`protected void` `internalStart()`
`protected Properties` `newConfig(Properties defaultConfig)`
`protected void` `setConfigProperty(Properties properties, Object key, Object value)`
`boolean` `stepsAreLocal()`

Methods inherited from class cascading.flow.BaseFlow

`addListener, addStepListener, areSinksStale, areSourcesNewer, cleanup, complete, createConfig, deleteCheckpointsIfNotUpdate, deleteCheckpointsIfReplace, deleteSinks, deleteSinksIfNotUpdate, deleteSinksIfReplace, deleteTrapsIfNotUpdate, deleteTrapsIfReplace, fireOnCompleted, fireOnStarting, fireOnStopping, fireOnThrowable, getCascadeID, getCascadingServices, getCheckpointNames, getCheckpoints, getCheckpointsCollection, getClassPath, getFieldsFor, getFlowDescriptor, getFlowSession, getFlowSkipStrategy, getFlowStats, getFlowSteps, getFlowStepStrategy, getHolder, getID, getName, getPlatformInfo, getRunID, getSink, getSink, getSinkModified, getSinkNames, getSinks, getSinksCollection, getSource, getSourceNames, getSources, getSourcesCollection, getSpawnStrategy, getStats, getSubmitPriority, getTags, getTrapNames, getTraps, getTrapsCollection, handleExecutorShutdown, hasListeners, hasStepListeners, initFromProperties, initialize, initializeNewJobsMap, initSteps, internalStopAllJobs, isSkipFlow, isStopJobsOnExit, logInfo, openSink, openSink, openSource, openSource, openTapForRead, openTapForWrite, openTrap, openTrap, prepare, presentSinkFields, presentSourceFields, registerShutdownHook, removeListener, removeStepListener, resourceExists, retrieveSinkFields, retrieveSourceFields, setCascade, setCheckpoints, setFlowSkipStrategy, setFlowStepGraph, setFlowStepStrategy, setName, setSinks, setSources, setSpawnStrategy, setSubmitPriority, setTraps, start, stop, toString, updateSchemes, writeDOT, writeStepsDOT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalFlow

    public LocalFlow(PlatformInfo platformInfo,
                     Map<Object,Object> properties,
                     Properties config,
                     FlowDef flowDef)

Method Detail

### initConfig

    protected void initConfig(Map<Object,Object> properties,
                              Properties parentConfig)

  Specified by:
    `initConfig` in class `BaseFlow<Properties>`

### setConfigProperty

    protected void setConfigProperty(Properties properties,
                                     Object key,
                                     Object value)

  Specified by:
    `setConfigProperty` in class `BaseFlow<Properties>`

### newConfig

    protected Properties newConfig(Properties defaultConfig)

  Specified by:
    `newConfig` in class `BaseFlow<Properties>`

### getConfig

    public Properties getConfig()

### getConfigCopy

    public Properties getConfigCopy()

### getConfigAsProperties

    public Map<Object,Object> getConfigAsProperties()

### getProperty

    public String getProperty(String key)

### getFlowProcess

    public FlowProcess<Properties> getFlowProcess()

### internalStart

    protected void internalStart()

  Specified by:
    `internalStart` in class `BaseFlow<Properties>`

### createFlowThread

    protected Thread createFlowThread(String threadName)

  Overrides:
    `createFlowThread` in class `BaseFlow<Properties>`

### internalClean

    protected void internalClean(boolean stop)

  Specified by:
    `internalClean` in class `BaseFlow<Properties>`

### stepsAreLocal

    public boolean stepsAreLocal()

### getMaxNumParallelSteps

    protected int getMaxNumParallelSteps()

  Specified by:
    `getMaxNumParallelSteps` in class `BaseFlow<Properties>`

### internalShutdown

    protected void internalShutdown()

  Specified by:
    `internalShutdown` in class `BaseFlow<Properties>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.